// creator  : weidu.exe (version 23100)
// argument : ESCORT4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ESCORT4~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)
!Dead("madam")
!StateCheck("madam",STATE_SLEEPING)
!Dead("escort1")
!StateCheck("escort1",STATE_SLEEPING)
!Dead("escort2")
!StateCheck("escort2",STATE_SLEEPING)
!Dead("escort3")
!StateCheck("escort3",STATE_SLEEPING)~ THEN BEGIN 0 // from:
  SAY #16752 /* ~What are you doing, barging in here?  Get out!  Get out, I say!~ */
  IF ~~ THEN DO ~SetGlobalTimer("VirahMad","LOCALS",5)
~ EXIT
END

IF ~NumTimesTalkedTo(1)
!Dead("madam")
!StateCheck("madam",STATE_SLEEPING)
!Dead("escort1")
!StateCheck("escort1",STATE_SLEEPING)
!Dead("escort2")
!StateCheck("escort2",STATE_SLEEPING)
!Dead("escort3")
!StateCheck("escort3",STATE_SLEEPING)~ THEN BEGIN 1 // from:
  SAY #16753 /* ~Are you deaf?  I told you to get out!  How rude could someone be?!~ */
  IF ~~ THEN DO ~SetGlobalTimer("VirahMad","LOCALS",5)
~ EXIT
END

IF ~NumTimesTalkedTo(2)
!Dead("madam")
!StateCheck("madam",STATE_SLEEPING)
!Dead("escort1")
!StateCheck("escort1",STATE_SLEEPING)
!Dead("escort2")
!StateCheck("escort2",STATE_SLEEPING)
!Dead("escort3")
!StateCheck("escort3",STATE_SLEEPING)~ THEN BEGIN 2 // from:
  SAY #16755 /* ~I'm warning you!  Get out now!~ */
  IF ~~ THEN DO ~SetGlobalTimer("VirahMad","LOCALS",5)
~ EXIT
END

IF ~NumTimesTalkedTo(3)
!Dead("madam")
!StateCheck("madam",STATE_SLEEPING)
!Dead("escort1")
!StateCheck("escort1",STATE_SLEEPING)
!Dead("escort2")
!StateCheck("escort2",STATE_SLEEPING)
!Dead("escort3")
!StateCheck("escort3",STATE_SLEEPING)~ THEN BEGIN 3 // from:
  SAY #16757 /* ~That's it!  Madame Nin is going to hear about this!!~ */
  IF ~~ THEN DO ~MoveToObject("Madam")
SetGlobal("MadamUpset","GLOBAL",1)
~ EXIT
END

IF ~True()
!Dead("madam")
!StateCheck("madam",STATE_SLEEPING)
!Dead("escort1")
!StateCheck("escort1",STATE_SLEEPING)
!Dead("escort2")
!StateCheck("escort2",STATE_SLEEPING)
!Dead("escort3")
!StateCheck("escort3",STATE_SLEEPING)~ THEN BEGIN 4 // from:
  SAY #16758 /* ~Do not talk to me.  I cannot believe that they allow such idiots in here.~ */
  IF ~~ THEN EXIT
END
